您的位置:时时app平台注册网站 > 编程知识 > python多版本管理工科具-pyenv,python工具-pyenv时时

python多版本管理工科具-pyenv,python工具-pyenv时时

2019-10-30 04:20

3.6.4

python多版本管理工具-pyenv,python工具-pyenv

ubuntu系统版本:16.04

# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

 

系统自带python版本:2.7.12

# python -V
Python 2.7.12

 

如果想要在本地自行安装3.x的版本,并且与2.x版本共存,此时我们可以通过pyenv工具来管理不同的python版本。

  1. 安装pyenv

# curl -L | bash

本地要先安装git,如果本地没有git,安装会失败,并给出相关提示。

# apt-get update

# apt-get install git

git安装结束后,再进行安装pyenv即可。

 

  1. 修改~/.bashrc文件

安装pyenv结束后,vim修改~/.bashrc文件,增加如下语句:

export PYENV_ROOT="$HOME/.pyenv"

export PATH="$PYENV_ROOT/bin:$PATH"

eval "$(pyenv init -)"

重启终端

 

3. 安装python

> 查看可以安装的python版本

# pyenv install --list

2.7.14 # Python 2 最新版本

......

3.6.4 # Python 3 最新版本

......

anaconda2-4.1.0   # 支持 Python 2.6 和 2.7

anaconda3-4.1.0 # 支持 Python 3.3 和 3.4

......

 

2.7.14和3.6.4,这种只有版本号的是python官方版本,其他的如,anaconda2-4.1.0属于衍生版或者发行版

 

> 安装python的依赖包

在 CentOS/RHEL/Fedora 下:

yum install readline readline-devel readline-static
yum install openssl openssl-devel openssl-static
yum install sqlite-devel
yum install bzip2-devel bzip2-libs

在 Ubuntu下:

apt-get update
apt-get install make build-essential libssl-dev zlib1g-dev
apt-get install libbz2-dev libreadline-dev libsqlite3-dev wget curl
apt-get install llvm libncurses5-dev libncursesw5-dev

 

> 安装指定版本

# pyenv install 3.6.4

 

> 查看当前已经安装的python版本

# pyenv versions
* system (set by /root/.python-version)
3.6.4

其中“*”号后面的版本就是系统当前运行的版本

 

>设置全局的python版本

# pyenv global 3.6.4

# pyenv versions

3.6.4

 

> 临时改变系统运行的python版本

# pyenv local  xxxx

or

# pyenv shell xxxx

 

> pyenv的其他功能

pyenv uninstall xxxx     //卸载某个版本

pyenv update               //更新pyenv及其插件

ubuntu系统版本:16.04 # lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 16.04.3...

安装指定版本
用户可以使用 pyenv install 安装指定版本的 python。如果你不知道该用哪一个,推荐你安装 anaconda3 的最新版本,这是一个专为科学计算准备的发行版。
$ pyenv install anaconda3-4.1.0 -v
/tmp/python-build.20170108123450.2752 ~
Downloading Anaconda3-4.1.0-Linux-x86_64.sh...
->
执行该命令后,会从给定的网址中下载安装文件 Anaconda3-4.1.0-Linux-x86_64.sh。但由于文件很大,通常下载需要很久。建议的做法是,先执行以上命令然后马上中断安装,这样就知道 pyenv 要下载的文件的链接。然后用户自己用其他更快的方式(比如wget、迅雷等等)从该链接中下载安装文件,并将安装文件移动到 ~/.pyenv/cache 目录下(该目录默认不存在,用户要自行新建)。

......

设置全局的 python 版本
$ pyenv global anaconda3-4.1.0
$ pyenv versions
system
* anaconda3-4.1.0 (set by /home/seisman/.pyenv/version)
当前全局的 python 版本已经变成了 anaconda3-4.1.0。也可以使用 pyenv local 或 pyenv shell 临时改变 python 版本。

# apt-get update

pyenv 其他功能
pyenv uninstall  - 卸载某个版本
pyenv update  - 更新pyenv及其插件

3. 安装python

安装 pyenv

 

本文永久更新链接地址

 

查看可安装的版本
$ pyenv install --list
该命令会列出可以用 pyenv 安装的 Python 版本。列表很长,其中 2.7.8 和 3.4.1 这种只有版本号的是 Python 官方版本,其他的形如 anaconda2-4.1.0 这种既有名称又有版本后的属于 “衍生版” 或发行版。

 

即可下载并安装pyenv

# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial

确认 python 版本
$ python
Python 3.5.2 (Anaconda 4.1.0, Sep 10 2014, 17:10:18)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-1)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>

eval "$(pyenv init -)"

以本文说的情况为例:
执行 pyenv install anaconda3-4.1.0 -v 获取下载链接
用wget从下载链接中获取文件 Anaconda3-4.1.0-Linux-x86_64.sh
将安装包移动到 ~/.pyenv/cache/Anaconda3-4.1.0-Linux-x86_64.sh
重新执行 pyenv install anaconda3-4.1.0 -v 命令。该命令会检查 cache 目录下已有文件的完整性,若确认无误,则会直接使用该安装文件进行安装。
安装过程中,若出现编译错误,通常是由于依赖包未满足,需要在安装依赖包后重新执行该命令。

其中“*”号后面的版本就是系统当前运行的版本

$ curl -L | bash 

# pyenv install --list

更新数据库
在安装 Python 或者其他带有可执行文件的模块之后,需要对数据库进行更新:
$ pyenv rehash

# pyenv install 3.6.4

在Ubuntu终端内,输入命令:

>设置全局的python版本

安装 Python 的依赖包
在编译 Python 过程中会依赖一些其他库文件,因而需要首先安装这些库文件,已知的一些需要预先安装的库如下。在 Ubuntu下:
sudo apt-get update
sudo apt-get install make build-essential libssl-dev zlib1g-dev
sudo apt-get install libbz2-dev libreadline-dev libsqlite3-dev wget curl
sudo apt-get install llvm libncurses5-dev libncursesw5-dev

2.7.14和3.6.4,这种只有版本号的是python官方版本,其他的如,anaconda2-4.1.0属于衍生版或者发行版

查看当前已安装的 python 版本
$ pyenv versions
* system (set by /home/seisman/.pyenv/version)
anaconda3-4.1.0
其中的星号表示当前正在使用的是系统自带的 python。

 

安装完成后,根据提示将如下语句加入到 ~/.bashrc 中:
export PYENV_ROOT="$HOME/.pyenv"
export PATH="$PYENV_ROOT/bin:$PATH"
eval "$(pyenv init -)"
eval "$(pyenv virtualenv-init -)"   # 这句可以不加
然后重启终端即可。

# pyenv versions
* system (set by /root/.python-version)
3.6.4

我们经常会遇到下边这样的情况:
系统自带的 Python 是 2.6,自己需要 Python 2.7 中的某些特性;
系统自带的 Python 是 2.x,自己需要 Python 3.x;
此时需要在系统中安装我们想用的Python,但又不能影响系统自带的 Python,即需要实现 Python 的多版本共存。pyenv 就是这样一个 Python 版本管理器。

在 Ubuntu下:

时时app平台注册网站 1

# pyenv local  xxxx

如果想要在本地自行安装3.x的版本,并且与2.x版本共存,此时我们可以通过pyenv工具来管理不同的python版本。

 

or

本地要先安装git,如果本地没有git,安装会失败,并给出相关提示。

3.6.4 # Python 3 最新版本

 

......

export PATH="$PYENV_ROOT/bin:$PATH"

> 安装python的依赖包

ubuntu系统版本:16.04

# pyenv global 3.6.4

git安装结束后,再进行安装pyenv即可。

  1. 安装pyenv

......

2.7.14 # Python 2 最新版本

重启终端

 

export PYENV_ROOT="$HOME/.pyenv"

# curl -L | bash

> 查看可以安装的python版本

anaconda3-4.1.0 # 支持 Python 3.3 和 3.4

> pyenv的其他功能

pyenv update               //更新pyenv及其插件

 

anaconda2-4.1.0   # 支持 Python 2.6 和 2.7

apt-get update
apt-get install make build-essential libssl-dev zlib1g-dev
apt-get install libbz2-dev libreadline-dev libsqlite3-dev wget curl
apt-get install llvm libncurses5-dev libncursesw5-dev

# pyenv versions

 

系统自带python版本:2.7.12

> 查看当前已经安装的python版本

# apt-get install git

 

 

安装pyenv结束后,vim修改~/.bashrc文件,增加如下语句:

yum install readline readline-devel readline-static
yum install openssl openssl-devel openssl-static
yum install sqlite-devel
yum install bzip2-devel bzip2-libs

pyenv uninstall xxxx     //卸载某个版本

> 临时改变系统运行的python版本

> 安装指定版本

  1. 修改~/.bashrc文件

# python -V
Python 2.7.12

在 CentOS/RHEL/Fedora 下:

# pyenv shell xxxx

本文由时时app平台注册网站发布于编程知识,转载请注明出处:python多版本管理工科具-pyenv,python工具-pyenv时时

关键词: